## org.eclipse.emf.edit.provider
Class DelegatingWrapperItemProvider.DelegatingWrapperItemPropertyDescriptor

    java.lang.Object
      org.eclipse.emf.edit.provider.ItemPropertyDescriptorDecorator
          org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider.DelegatingWrapperItemPropertyDescriptor

All Implemented Interfaces:
  IItemPropertyDescriptor, IItemPropertyDescriptor.OverrideableCommandOwner

Enclosing class:
  DelegatingWrapperItemProvider

    protected class DelegatingWrapperItemProvider.DelegatingWrapperItemPropertyDescriptor

extends ItemPropertyDescriptorDecorator
implements IItemPropertyDescriptor.OverrideableCommandOwner

A `DelegatingWrapperItemPropertyDescriptor` decorates an `ItemPropertyDescriptor` and manages a command owner override. If its command owner is non-null, it ensures that the decorated descriptor, if it also implements `OverrideableCommandOwner`, will have its command owner set to the same object when `resetPropertyValue` or `setPropertyValue` is called. If its command owner is null, then the decorated descriptors's command owner will be set to this wrapper item provider.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor
`IItemPropertyDescriptor.OverrideableCommandOwner`

Field Summary
`protected java.lang.Object` `commandOwner`

Fields inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptorDecorator
`itemPropertyDescriptor, object`

Constructor Summary
`DelegatingWrapperItemProvider.DelegatingWrapperItemPropertyDescriptor(java.lang.Object object, IItemPropertyDescriptor itemPropertyDescriptor)`

Method Summary
`java.lang.Object` `getCommandOwner()` Returns the override command owner.
`void` `resetPropertyValue(java.lang.Object thisObject)` Updates the decorated descriptor's command owner and invokes `resetPropertyValue` on it.
`void` `setCommandOwner(java.lang.Object commandOwner)` Sets the override command owner and, if the decorated descriptor also implements `OverrideableCommandOwner`, updates its command owner.
`void` `setPropertyValue(java.lang.Object thisObject, java.lang.Object value)` Updates the decorated descriptor's command owner and invokes `setPropertyValue` on it.

Methods inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptorDecorator
`canSetProperty, getCategory, getChoiceOfValues, getDescription, getDisplayName, getFeature, getFilterFlags, getHelpContextIds, getId, getLabelProvider, getPropertyValue, isCompatibleWith, isMany, isMultiLine, isPropertySet, isSortChoices`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### commandOwner

    protected java.lang.Object commandOwner

Constructor Detail

### DelegatingWrapperItemProvider.DelegatingWrapperItemPropertyDescriptor

    public DelegatingWrapperItemProvider.DelegatingWrapperItemPropertyDescriptor(java.lang.Object object,
                                                                                 IItemPropertyDescriptor itemPropertyDescriptor)

Method Detail

### setCommandOwner

    public void setCommandOwner(java.lang.Object commandOwner)

  Sets the override command owner and, if the decorated descriptor also implements `OverrideableCommandOwner`, updates its command owner.

  Specified by:
    `setCommandOwner` in interface `IItemPropertyDescriptor.OverrideableCommandOwner`

### getCommandOwner

    public java.lang.Object getCommandOwner()

  Returns the override command owner.

  Specified by:
    `getCommandOwner` in interface `IItemPropertyDescriptor.OverrideableCommandOwner`

### resetPropertyValue

    public void resetPropertyValue(java.lang.Object thisObject)

  Updates the decorated descriptor's command owner and invokes `resetPropertyValue` on it.

  Specified by:
    `resetPropertyValue` in interface `IItemPropertyDescriptor`
  Overrides:
    `resetPropertyValue` in class `ItemPropertyDescriptorDecorator`

### setPropertyValue

    public void setPropertyValue(java.lang.Object thisObject,
                                 java.lang.Object value)

  Updates the decorated descriptor's command owner and invokes `setPropertyValue` on it.

  Specified by:
    `setPropertyValue` in interface `IItemPropertyDescriptor`
  Overrides:
    `setPropertyValue` in class `ItemPropertyDescriptorDecorator`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.